LogStreamHandler (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.LogStreamHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class LogStreamHandler

    java.lang.Object
      org.apache.tools.ant.taskdefs.PumpStreamHandler
          org.apache.tools.ant.taskdefs.LogStreamHandler

All Implemented Interfaces:
  ExecuteStreamHandler

public class LogStreamHandler
extends PumpStreamHandler

Logs standard output and error of a subprocess to the log system of ant.

Since:
  Ant 1.2
Author:
  thomas.haas@softwired-inc.com

Constructor Summary
`LogStreamHandler(Task task, int outlevel, int errlevel)` Creates a new instance of this class.

Method Summary
`void` | `stop()` Stop handling of the streams - will not be restarted.

Methods inherited from class org.apache.tools.ant.taskdefs.PumpStreamHandler
`createProcessErrorPump, createProcessOutputPump, createPump, getErr, getOut, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogStreamHandler

    public LogStreamHandler(Task task,
                            int outlevel,
                            int errlevel)

  Creates a new instance of this class.

Parameters:
  `task` - the task for whom to log
  `outlevel` - the loglevel used to log standard output
  `errlevel` - the loglevel used to log standard error

Method Detail

### stop

    public void stop()

  Description copied from interface: `ExecuteStreamHandler`
  Stop handling of the streams - will not be restarted.

  Specified by:
    `stop` in interface `ExecuteStreamHandler`
  Overrides:
    `stop` in class `PumpStreamHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.